[Numpy-discussion] Atlas build issues

Ian Goodfellow goodfellow.ian@gmail....
Wed Oct 20 08:13:24 CDT 2010


--with-netlib-lapack is indeed no longer valid.
INSTALL.txt includes a warning that INSTALL.txt is out of date, you should
refer to doc/atlas_install.pdf instead.
The new option is --with-netlib-lapack-tarfile
I successfully built 3.9.25 with this option a while ago, but haven't been
able to get numpy to use it.

On Wed, Oct 20, 2010 at 5:01 AM, Gael Varoquaux <
gael.varoquaux@normalesup.org> wrote:

> On Wed, Oct 20, 2010 at 11:59:24AM +0300, Pearu Peterson wrote:
> > I haven't build atlas libraries for awhile and may be something
> > is changed in atlas.. That said, I would try instructions from
>
> >
> http://www.scipy.org/Installing_SciPy/Linux#head-89e1f6afaa3314d98a22c79b063cceee2cc6313c
>
> That was my first try
>
> > and may be using some older atlas version.
>
> I can do it with older versions, but I get a segfault in an SVD that I
> really need to do. This is actually what started the current endeaviour.
>
> Maybe I should bisect to try and find a version where the SVD does not
> segfault, and that I can build and link. That seems like a lot of work.
>
> :(
>
> Gaël
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20101020/202374fa/attachment.html 


More information about the NumPy-Discussion mailing list